#
# Conditional build:
%bcond_without	ruby		# build without Ruby bindings

Summary:	Library to provide key AppArmor symbols
Summary(pl.UTF-8):	Biblioteka udostępniająca kluczowe symbole AppArmor
Name:		libapparmor
Version:	3.0.8
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://launchpad.net/apparmor/3.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	4a836c7bd1a0c3d1392733afb6e06d73
Patch0:		%{name}-private.patch
URL:		http://wiki.apparmor.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool
BuildRequires:	perl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	python3-devel
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	swig-perl
BuildRequires:	swig-python
%{?with_ruby:BuildRequires:	swig-ruby}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the libapparmor library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library. This package is part of a suite of tools that
used to be named SubDomain.

%description -l pl.UTF-8
Ten pakiet udostępnia bibliotekę libapparmor, zawierającą symbol
change_hat(2), używany do więzienia podprocesów przez AppArmor.
Aplikacje chcące używać change_hat(2) muszą być linkowane z tą
biblioteką. Ten pakiet jest częścią zestawu narzędzi nazywanego
SubDomain.

%package devel
Summary:	Header files for libapparmor library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libapparmor
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This is the package containing the header files for libapparmor
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libapparmor.

%package static
Summary:	Static libapparmor library
Summary(pl.UTF-8):	Statyczna biblioteka libapparmor
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libapparmor library.

%description static -l pl.UTF-8
Statyczna biblioteka libapparmor.

%package -n perl-LibAppArmor
Summary:	AppArmor Perl bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Perla
Summary(pt_BR.UTF-8):	Módulos Perl para acessar os recursos do AppArmor
Group:		Development/Languages/Perl
Obsoletes:	perl-apparmor < 1:2.9.2-3
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n perl-LibAppArmor
AppArmor Perl bindings.

%description -n perl-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla Perla.

%description -n perl-LibAppArmor -l pt_BR.UTF-8
Módulos Perl para acessar os recursos do AppArmor.

%package -n python3-LibAppArmor
Summary:	AppArmor Python bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do AppArmor
Group:		Development/Languages/Python
%pyrequires_eq	python3
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python3-LibAppArmor
AppArmor Python bindings.

%description -n python3-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla Pythona.

%description -n python3-LibAppArmor -l pt_BR.UTF-8
Módulos Python para acessar os recursos do AppArmor.

%package -n ruby-LibAppArmor
Summary:	AppArmor Ruby bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla języka Ruby
Group:		Development/Languages
Obsoletes:	ruby-apparmor < 1:2.9.2-3
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-LibAppArmor
AppArmor Ruby bindings.

%description -n ruby-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla języka Ruby.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p1

%build
cd libraries/libapparmor
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	%{?with_ruby:--with-ruby} \
	--with-python \
	--with-perl

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C libraries/libapparmor install \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapparmor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so
%{_libdir}/libapparmor.la
%{_includedir}/aalogparse
%{_includedir}/sys/apparmor.h
%{_includedir}/sys/apparmor_private.h
%{_pkgconfigdir}/libapparmor.pc
%{_mandir}/man2/aa_change_hat.2*
%{_mandir}/man2/aa_change_profile.2*
%{_mandir}/man2/aa_find_mountpoint.2*
%{_mandir}/man2/aa_getcon.2*
%{_mandir}/man2/aa_query_label.2*
%{_mandir}/man2/aa_stack_profile.2*
%{_mandir}/man3/aa_features.3*
%{_mandir}/man3/aa_kernel_interface.3*
%{_mandir}/man3/aa_policy_cache.3*
%{_mandir}/man3/aa_splitcon.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libapparmor.a

%files -n perl-LibAppArmor
%defattr(644,root,root,755)
%{perl_vendorarch}/LibAppArmor.pm
%dir %{perl_vendorarch}/auto/LibAppArmor
%attr(755,root,root) %{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.so

%files -n python3-LibAppArmor
%defattr(644,root,root,755)
%dir %{py3_sitedir}/LibAppArmor
%attr(755,root,root) %{py3_sitedir}/LibAppArmor/_LibAppArmor.*.so
%{py3_sitedir}/LibAppArmor/__pycache__
%{py3_sitedir}/LibAppArmor/*.py
%{py3_sitedir}/LibAppArmor-*.egg-info

%if %{with ruby}
%files -n ruby-LibAppArmor
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/LibAppArmor.so
%endif
%changelog
* Tue Nov 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libapparmor.git;a=log;h=master

* Tue Nov 29 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 686f662
- Up to 3.0.8.

* Fri Sep 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 6f738a1
- versioned Obsoletes; python3-apparmor dropped, such package never existed

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 21bee9a
- Up to 3.0.7.

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 3919028
- perl 5.36.0 rebuild

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 35666c6
- Up to 3.0.4.

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 38f173e
- rebuild with python 3.10

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 61bf984
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 71776f5
- rebuild with perl 5.32

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 41c211a
- release 2 (by relup.sh)

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a3331cf
- drop python2 pkg

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> b5376e7
- up to 3.0.1; python2 is no longer supported

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> aac93da
- macros for perl autodeps

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> ee5e4e3
- updated to 2.13.4

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> e580abd
- release 3 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f7db54e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 14ba54b
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a8aa90
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be1dbd
- up to 2.13.2

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> a19061a
- rebuild with perl 5.28.0
- release 3 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> a4d5769
- rebuild with ruby 2.4
- release 2 (by relup.sh)

